CVE-2014-6427

Priority
Description
Off-by-one error in the is_rtsp_request_or_reply function in
epan/dissectors/packet-rtsp.c in the RTSP dissector in Wireshark 1.10.x
before 1.10.10 and 1.12.x before 1.12.1 allows remote attackers to cause a
denial of service (application crash) via a crafted packet that triggers
parsing of a token located one position beyond the current position.
Notes
Package
Upstream:released (1.12.1, 1.10.10)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 ESM (Trusty Tahr):not-affected (1.12.1+g01b65bf-4+deb8u11ubuntu0.14.04.1)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (1.12.1+g01b65bf-2)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (1.12.1+g01b65bf-2)
Patches:
Upstream:https://code.wireshark.org/review/#/c/3665
More Information

Updated: 2020-09-10 03:10:31 UTC (commit 81a23a978c4436cd99e1d040e9e73e9146876281)